% Fetch the CSB values from candidate stations for each UE

function UE = FetchCSB(eNB,UE,NumeNBPerCluster,NumPicoPerCell,Pico)

for i = 1:length(UE.HostCand)
    if UE.HostCand(i) < 1000 % If the candidate is an eNB
        ix = ReturnMacroIx(floor(UE.HostCand(i)),mod(UE.HostCand(i)*10,10),NumeNBPerCluster);
        UE.CSB_HostCand(i) = eNB(ix).CSB;
    else % If the candidate is a Pico
        ix = ReturnPicoIx(floor(UE.HostCand(i)/1000),floor(mod(UE.HostCand(i),1000)),mod(round(mod(UE.HostCand(i),1000)*10),10), NumPicoPerCell, NumeNBPerCluster);
        UE.CSB_HostCand(i) = Pico(ix).CSB;
    end
end